Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.isolate
Class Isolate

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.isolate.Isolate

public final class Isolate
extends java.lang.Object
implements java.lang.Cloneable

A basic implementation of the JSR-121 Isolate API.

Fields inherited from interface java.lang.Cloneable
`KAFFE_VERSION`

Constructor Summary
`Isolate(java.lang.String mainClassName, java.lang.String[] args, java.lang.String[] classpath, java.lang.String name)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(Isolate isolate)`
`Isolate[]` | `getChildren()`
`static Isolate` | `getCurrentIsolate()`
`static Isolate` | `getIsolate(java.lang.String uniqueId)`
`java.lang.String` | `getName()`
`Isolate` | `getParent()`
`java.lang.String` | `getUniqueId()`
`boolean` | `isStarted()`
`boolean` | `isStopped()`
`boolean` | `isSuspended()`
`void` | `join()`
`void` | `join(long millis)`
`void` | `join(long millis, int nanos)`
`void` | `resume()`
`void` | `start()`
`void` | `stop()`
`void` | `suspend()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Isolate

    public Isolate(java.lang.String mainClassName,
                   java.lang.String[] args,
                   java.lang.String[] classpath,
                   java.lang.String name)
            throws java.lang.SecurityException,
                   UnavailableIsolateFeatureException

Method Detail

### getName

    public java.lang.String getName()

### getUniqueId

    public java.lang.String getUniqueId()

### getIsolate

    public static Isolate getIsolate(java.lang.String uniqueId)
                              throws InaccessibleIsolateException

### start

    public void start()
               throws IllegalIsolateStateException,
                      java.lang.SecurityException,
                      InaccessibleIsolateException

### stop

    public void stop()
              throws java.lang.SecurityException,
                     InaccessibleIsolateException

### suspend

    public void suspend()
                 throws IllegalIsolateStateException,
                        java.lang.SecurityException,
                        InaccessibleIsolateException

### resume

    public void resume()
                throws IllegalIsolateStateException,
                       java.lang.SecurityException,
                       InaccessibleIsolateException

### join

    public void join()
              throws IllegalIsolateStateException,
                     InaccessibleIsolateException

### join

    public void join(long millis)
              throws IllegalIsolateStateException,
                     InaccessibleIsolateException

### join

    public void join(long millis,
                     int nanos)
              throws IllegalIsolateStateException,
                     InaccessibleIsolateException

### isStarted

    public boolean isStarted()
                      throws InaccessibleIsolateException

### isSuspended

    public boolean isSuspended()
                        throws InaccessibleIsolateException

### isStopped

    public boolean isStopped()
                      throws InaccessibleIsolateException

### getParent

    public Isolate getParent()

### getChildren

    public Isolate[] getChildren()

### getCurrentIsolate

    public static Isolate getCurrentIsolate()

### equals

    public boolean equals(Isolate isolate)

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2001 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Jun 1, 2001